Extended Product Accountancy
========================
Module permettant la gestion des codes comptables étendus sur les produits.

Onglets
-------

- ajoute un onglet 'Comptabilité' sur la fiche produit. Mène à la page `/custom/extendedproductaccountancy/accountancycode.php` : Affiche une liste d'affectations comptables.

Classes
-------

- ProductAccountancyCode : définit un lien entre un produit et un code comptable associé

Hooks
-----

- printFieldListWhere : permet de suggérer des comptes comptables en fonction des produits des lignes.
  - sur /accountancy/customer/list.php (liste des factures à lier)
  - sur /accountancy/supplier/list.php (liste de factures fourn à lier)
  
Triggers
--------

- `PRODUCT_DELETE` : supprime le lien produit -> code comptable dans la table llx_product_accountancy_code.

SQL
---

### Tables

- création llx_product_accountancy_code

### Données

n/a


