-- ============================================================================
-- Copyright (C) 2023	 Open-DSI 	 <support@open-dsi.fr>
--
-- This program is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program. If not, see <http://www.gnu.org/licenses/>.
-- ===========================================================================

------------------------
-- Version 13.0.1
------------------------
ALTER TABLE llx_product_accountancy_code MODIFY COLUMN fk_product	integer			DEFAULT 0 NOT NULL;
-- ALTER TABLE llx_product_accountancy_code MODIFY COLUMN key_value	varchar(255)	DEFAULT '' NOT NULL;
ALTER TABLE llx_product_accountancy_code DROP CONSTRAINT fk_product_accountancy_code_fk_product;

------------------------
-- Version 13.0.2
------------------------
ALTER TABLE llx_product_accountancy_code DROP INDEX uk_product_accountancy_code;
ALTER TABLE llx_product_accountancy_code DROP COLUMN key_value;
ALTER TABLE llx_product_accountancy_code CHANGE COLUMN fk_key epa_thirdparty_type	integer	DEFAULT 0 NOT NULL;

------------------------
-- Version 13.0.3
------------------------
ALTER TABLE llx_product_accountancy_code ADD COLUMN product_type integer    NULL AFTER fk_product;

------------------------
-- Version 13.0.7
------------------------
ALTER TABLE llx_product_accountancy_code ADD COLUMN free_line integer(1)    NULL AFTER product_type;
